SplObjectStorage::current
SplObjectStorage::getInfo
SplObjectStorage
PHP Manual

# SplObjectStorage::detach

(PHP 5 >= 5.1.0)

SplObjectStorage::detach — Removes an object from the storage

### Description

public void SplObjectStorage::detach ( object `$object` )

Removes the object from the storage.

### Parameters

`object`

  The object to remove.

### Return Values

No value is returned.

### Examples

Example #1 SplObjectStorage::detach() example

`<?php
$o = new StdClass;
$s = new SplObjectStorage();
$s->attach($o);
var_dump(count($s));
$s->detach($o);
var_dump(count($s));
?>`

The above example will output something similar to:

    int(1)
    int(0)

### See Also

- SplObjectStorage::attach - Adds an object in the storage
- SplObjectStorage::removeAll - Removes objects contained in another storage from the current storage

SplObjectStorage::current
SplObjectStorage::getInfo
SplObjectStorage
PHP Manual